Browse Source

[rpm] some defaults for Fedora are way out of date

* quagga.spec.in: No need to default to accomodate now ancient versions of
  Fedora
Paul Jakma 11 years ago
parent
commit
4768061ad5
1 changed files with 4 additions and 4 deletions
  1. 4 4
      redhat/quagga.spec.in

+ 4 - 4
redhat/quagga.spec.in

@@ -48,16 +48,16 @@
 %define quagga_buildreqs %{quagga_buildreqs} patch libcap-devel
 
 # FC4 and 5 split texi2html out of tetex package.
-%if "%dist" == "fc4" || "%dist" == "fc5"
+%if "%dist" != "fc2" || "%dist" != "fc3"
 %define  quagga_buildreqs %{quagga_buildreqs} texi2html
 %endif
 
 # pam_stack is deprecated in FC5
 # default to pam_stack, default should be changed later.
-%if "%dist" == "fc5"
-%define	quagga_pam_source quagga.pam
-%else
+%if "%dist" == "fc4" || "%dist" == "fc3"
 %define	quagga_pam_source quagga.pam.stack
+%else
+%define	quagga_pam_source quagga.pam
 %endif
 ############################################################################